- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Functions
libetonyek_utils.h File Reference
`#include <cmath>`
`#include <stdio.h>`
`#include <string>`
`#include <boost/shared_ptr.hpp>`
`#include <librevenge/librevenge.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <stdint.h>`
`#include <inttypes.h>`

Go to the source code of this file.

## Classes
struct | libetonyek::KEYDummyDeleter
class | libetonyek::EndOfStreamException
class | libetonyek::GenericException

## Namespaces
| libetonyek

## Macros
#define | KEY_EPSILON 1e-9
#define | KEY_ALMOST_ZERO(x) (std::fabs(x) < KEY_EPSILON)
#define | KEY_NUM_ELEMENTS(array) (sizeof(array) / sizeof((array)[0]))
#define | KEY_DEBUG_MSG(M)
#define | KEY_DEBUG(M)

## Typedefs
typedef boost::shared_ptr < librevenge::RVNGInputStream > | libetonyek::RVNGInputStreamPtr_t

## Functions
uint8_t | libetonyek::readU8 (const RVNGInputStreamPtr_t &input, bool)
uint16_t | libetonyek::readU16 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint32_t | libetonyek::readU32 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint64_t | libetonyek::readU64 (const RVNGInputStreamPtr_t &input, bool bigEndian)
bool | libetonyek::approxEqual (double x, double y, double eps=KEY_EPSILON)
| Test two floating point numbers for equality. More...
double | libetonyek::pt2in (double d)
| Convert a length from points to inches. More...

## Macro Definition Documentation

#define KEY_ALMOST_ZERO | ( |  | x | ) | (std::fabs(x) < KEY_EPSILON)

#define KEY_DEBUG | ( |  | M | ) |

#define KEY_DEBUG_MSG | ( |  | M | ) |

Referenced by libetonyek::KEYThemeCollector::collectLayer(), libetonyek::KEYContentCollector::collectLayer(), libetonyek::KEYCollectorBase::collectShape(), libetonyek::KEYCollectorBase::collectTextPlaceholder(), libetonyek::KEYContentCollector::drawLayer(), libetonyek::KEYPath::KEYPath(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseTextBody(), and libetonyek::KEY2Parser::processXmlNode().

#define KEY_EPSILON 1e-9

#define KEY_NUM_ELEMENTS | ( |  | array | ) | (sizeof(array) / sizeof((array)[0]))